# skydive – Query Skydive objects

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Uses the Skydive python REST client to return the queried object from Skydive network analyzer.

## Requirements

The below requirements are needed on the local master node that executes this lookup.

- skydive-client

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
filter - |  |  | a dict object that is used to filter the return objects
provider - |  |  | A dict object containing connection details.
| endpoint - / required |  |  | Specifies the hostname/address along with the port as `localhost:8082`for connecting to the remote instance of SKYDIVE client over the REST API.

insecure
boolean

Choices:
- no ←
- yes

Ignore SSL certification verification.

| password - |  |  | Specifies the password to use to authenticate the connection to the remote instance of SKYDIVE client.

ssl
boolean

Choices:
- no ←
- yes

Specifies the ssl parameter that decides if the connection type shall be http or https.

| user - |  |  | Configures the username to use to authenticate the connection to the remote instance of SKYDIVE client.

## Notes

Note

- This module must be run locally, which can be achieved by specifying `connection: local`.

## Examples

    - name: return skydive metdata if present based on Name
      set_fact:
        skydive_meta: >-
            {{ lookup('skydive', filter={'query': "G.V().Has('Name', 'sumit-VirtualBox')"}) }}

    - name: return all the skydive metdata having parameter Name
      set_fact:
        skydive: >-
            {{ lookup('skydive', filter={'query': "G.V().Has('Name')"},
                          provider={'endpoint': 'localhost:8082', 'username': 'admin', 'password': 'password'}) }}

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list list | always | The list of queried object metadata

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.